.pulse-dot {
  width: 1em;
  height: 1em;
  border-radius: 50%;
  border: 3px solid var(--bs-white);
  background: rgb(var(--bs-primary-rgb));
  box-shadow: 0 0 0 rgba(var(--bs-primary-rgb), 0);
  animation: pulsing 2s infinite;
  transition: all 0.2s;
  cursor: pointer;

  &:hover {
    background: var(--bs-cyan);
    width: 1.5em;
    height: 1.5em;
  }

  &:active {
    width: 2em;
    height: 2em;
  }
}

@keyframes pulsing {
  from {
    box-shadow: 0 0 0 0 rgb(var(--bs-primary-rgb));
  }
  70% {
    box-shadow: 0 0 0 3em rgba(var(--bs-primary-rgb), 0);
  }
  to {
    box-shadow: 0 0 0 0 rgba(var(--bs-primary-rgb), 0);
  }
}